#!/bin/tcsh
#
#set echo

set months = (01 02 03 04 05 06 07 08 09 10 11 12)
set yrbegin = 1950
set yrend = 2015 # One greater than we have data for.


set AllLocs = ( 722860 722866 722868 722880 722886 722900 722906 722910 722920 722925 722950 722955 722970 722977 \
		723810 723825 723840 723890 723927 723930 723965 724800 724810 724836 724837 724838 724917 \
		724920 724930 724957 725955 745160 747187 747188 749171 749179 )


#set AllLocs = (722860)

foreach Loc ($AllLocs)
    echo Working on $Loc
    set yr = $yrbegin
    set yrstop = $yrend
    @ yrstop ++
    
    
    while ($yr < $yrstop)
	echo Working on Year $yr
	    foreach month ($months)
		touch ${Loc}/${Loc}_${month}.txt
		grep ${yr}${month} ${Loc}/*{$yr}.op >> ${Loc}/${Loc}_${month}.txt
	#	    sed "s/\*//g" < ${Loc}_${month}.txt > ${Loc}_${month}_fixed.txt
	    end # foreach
	    @ yr ++
    end # while
    
    echo Making Max-Min files now
    
    foreach month ($months)
    #    cut -d, -f3,18,19,20 < ${Loc}_${month}_fixed.txt > ${Loc}_${month}_max-min.txt
	cp header-subset.csv  ${Loc}/${Loc}_${month}_max-min.csv
	cut -c 1-6,15-18,19-20,21-22,103-108,111-116,119-123,133,134,135,136,137,138 --output-delimiter=, < ${Loc}/${Loc}_${month}.txt >> ${Loc}/${Loc}_${month}_max-min.csv
    end # foreach month

end # foreach Loc
